import React from 'react';
import { ContentState, ContentBlock } from 'draft-js';
export interface MediaData {
    title?: string;
    src: string;
    alt?: string;
}
export declare type MediaType = 'image' | 'video' | 'audio' | 'embedded_link';
export interface MediaProps {
    contentState: ContentState;
    block: ContentBlock;
    blockProps: any;
}
interface AtomicImageProps extends React.ImgHTMLAttributes<HTMLImageElement> {
    sourcesProps?: React.SourceHTMLAttributes<HTMLSourceElement>[];
}
export declare const AtomicImage: ({ className, src, sourcesProps, ...other }: AtomicImageProps) => JSX.Element;
export declare const Media: (props: MediaProps) => JSX.Element;
export {};
